Subject: Re: bug#35857: 26.2; Hangs loading desktop having shell window

From: Stefan Kangas <[email-masked]>
Date: Tue, 21 Jan 2020 02:56:50 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Noam Postavsky <[email-masked]>
>> Cc: Richard Munitz <[email-masked]>,  [email-masked]
>> Date: Sat, 08 Jun 2019 19:41:25 -0400
>> 
>> > I tried to reproduce this, but I don't have access to a system where
>> > both "M-x shell" and "emacs &" will work.
>> >
>> > Can someone please reproduce the problem and report where is Emacs
>> > stuck?  Perhaps it is asking some question and waiting for the answer?
>> 
>> Doesn't happen here (and I can't see why "emacs &" vs "emacs" could have
>> any effect, though I tried both ways).  After running emacs the second
>> time, no *shell* buffer is created (which I guess is expected since I
>> answered "yes" to kill the shell before saving the desktop).
>
> That's what happened to me as well, but I wasn't sure the specific
> details I couldn't include in the reproduction didn't matter.
>
> Thanks, I guess we need more info from the OP.  Perhaps some unusual
> shell is being used, or some system customizations outside of the
> user init files are at play here?

Richard, it seems like we need more info to progress with this bug.
Could you please tell us more about the exact circumstances under
which you are able to reproduce this bug?

Thanks.

Best regards,
Stefan Kangas